%global octpkg quaternion

Name:           octave-%{octpkg}
Version:        2.0.2
Release:        2%{?dist}
Summary:        Quaternion package for Octave
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://octave.sourceforge.net/quaternion/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave

Obsoletes:      octave-forge <= 20090607


%description
Package for the manipulation of Quaternions used for frame transformation

%prep
%setup -q -n %{octpkg}

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)

%{octpkglibdir}
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/@quaternion/*.m
%{octpkgdir}/@quaternion/private/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%doc %{octpkgdir}/doc


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Oct 26 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.0.2-1
- update to 2.0.2

* Mon Oct 15 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.0.1-1
- update to 2.0.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 29 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.0.0-1
- update to version 2.0.0

* Mon Jan 16 2012 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.0-4
- Fix FTBFS in rawhide against Octave 3.6.0.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 15 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.0-2
- Review Input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> 1.0.0-1
- initial package for Fedora
